Image 01
profile-image

stcrocco

Stefano Crocco
Developers Apps
test
Ruber

Developers Apps 5 comments

Score 63.3%
Oct 21 2011
I forgot that the KIO library was put in a separate file in KDE 4.5, so if you're using 4.4, you don't need it.

Since Ruber is also supposed to work with KDE 4.4, I'll fix the issue.

Thanks for reporting the problem. - Jan 12 2011
kio is part of the KDE ruby bindings (korundum). I don't know how debian package korundum, but I think that it should contain it. On my system, I have kio.so and kio.rb installed in the same directory as korundum4.so and korundum4.rb, that is, respectively in /usr/lib/ruby/site_ruby/1.9.1/i686-linux/ and /usr/lib/ruby/site_ruby/1.9.1/KDE/.

As far as why it is needed: it provides several widgets, including the file requester widget. And no, you can't use Ruber without it. Again, I'm fairly sure it should be included in the korundum package.

Just for information, which is your version of the KDE ruby bindings? - Jan 12 2011